From cc5ad8d53bcf953eb60e11dcf72aa9f69ec043f3 Mon Sep 17 00:00:00 2001
From: James Moger <james.moger@gitblit.com>
Date: Thu, 06 Oct 2011 21:03:52 -0400
Subject: [PATCH] Merge branch 'master' into rpc

---
 distrib/gitblit                         |   33 +++++++++++++++++++++++++++++++++
 docs/04_releases.mkd                    |    3 ++-
 distrib/install-service.sh              |    3 +++
 src/com/gitblit/SyndicationServlet.java |    1 +
 docs/00_index.mkd                       |    3 ++-
 5 files changed, 41 insertions(+), 2 deletions(-)

diff --git a/distrib/gitblit b/distrib/gitblit
new file mode 100644
index 0000000..9ae4d03
--- /dev/null
+++ b/distrib/gitblit
@@ -0,0 +1,33 @@
+#!/bin/sh
+
+set -e
+
+GITBLIT_PATH=/opt/gitblit/
+GITBLIT_HTTP_PORT=0
+GITBLIT_HTTPS_PORT=8443
+JAVA="java -server -Xmx1024M -jar"
+
+. /lib/lsb/init-functions
+
+case "$1" in
+  start)
+        log_action_begin_msg "Starting gitblit server"
+        $JAVA $GITBLIT_PATH/gitblit.jar --httpsPort $GITBLIT_HTTPS_PORT --httpPort $GITBLIT_HTTP_PORT &
+        log_action_end_msg $?
+        ;;
+  stop)
+        log_action_begin_msg "Stopping gitblit server"
+        $JAVA $GITBLIT_PATH/gitblit.jar --stop &
+        log_action_end_msg $?
+        ;;
+  force-reload|restart)
+        $0 stop
+        $0 start
+        ;;
+  *)
+        echo "Usage: /etc/init.d/gitblit {start|stop|restart|force-reload}"
+        exit 1
+        ;;
+esac
+
+exit 0
diff --git a/distrib/install-service.sh b/distrib/install-service.sh
new file mode 100644
index 0000000..75d7fcc
--- /dev/null
+++ b/distrib/install-service.sh
@@ -0,0 +1,3 @@
+cp gitblit /etc/init.d/
+chmod +x /etc/init.d/gitblit
+sudo update-rc.d gitblit defaults
\ No newline at end of file
diff --git a/docs/00_index.mkd b/docs/00_index.mkd
index 489f84a..079bc3d 100644
--- a/docs/00_index.mkd
+++ b/docs/00_index.mkd
@@ -37,6 +37,7 @@
 - added: reusable JSON RPC client class
 - added: Swing RPC Client application for cloning and administration of repositories, users, and federation proposals.
 - fixed/broke: federation protocol.  dates are now serialized to the [iso8601](http://en.wikipedia.org/wiki/ISO_8601) standard.  This breaks 0.6.0 federation clients/servers.
+- fixed: Set the RSS content type for Firefox 4 (issue 22)
 - fixed: Null pointer exception if did not set federation strategy (issue 20)
 - fixed: Gitblit GO allows SSL renegotiation if running on Java 1.6.0_22 or later
 - added: IUserService.setup(IStoredSettings) for custom user service implementations
@@ -51,4 +52,4 @@
 [git]: http://git-scm.com "Official Git Site"
 [gitbltsrc]: http://github.com/gitblit "gitblit git repository"
 [googlecode]: http://code.google.com/p/gitblit "gitblit project management"
-[apachelicense]: http://www.apache.org/licenses/LICENSE-2.0 "Apache License, Version 2.0"
\ No newline at end of file
+[apachelicense]: http://www.apache.org/licenses/LICENSE-2.0 "Apache License, Version 2.0"
diff --git a/docs/04_releases.mkd b/docs/04_releases.mkd
index 43168dd..10ef2bb 100644
--- a/docs/04_releases.mkd
+++ b/docs/04_releases.mkd
@@ -11,6 +11,7 @@
 - added: reusable JSON RPC client class
 - added: Swing RPC Client application for cloning and administration of repositories, users, and federation proposals.
 - fixed/broke: federation protocol.  dates are now serialized to the [iso8601](http://en.wikipedia.org/wiki/ISO_8601) standard.  This breaks 0.6.0 federation clients/servers.
+- fixed: Set the RSS content type for Firefox 4 (issue 22)
 - fixed: Null pointer exception if did not set federation strategy (issue 20)
 - fixed: Gitblit GO allows SSL renegotiation if running on Java 1.6.0_22 or later
 - added: IUserService.setup(IStoredSettings) for custom user service implementations
@@ -60,4 +61,4 @@
 
 - initial release
 
-[jgit]: http://eclipse.org/jgit "Eclipse JGit Site"
\ No newline at end of file
+[jgit]: http://eclipse.org/jgit "Eclipse JGit Site"
diff --git a/src/com/gitblit/SyndicationServlet.java b/src/com/gitblit/SyndicationServlet.java
index 4ba2789..f1c474f 100644
--- a/src/com/gitblit/SyndicationServlet.java
+++ b/src/com/gitblit/SyndicationServlet.java
@@ -135,6 +135,7 @@
 			}
 		}
 
+		response.setContentType("application/rss+xml; charset=UTF-8");
 		Repository repository = GitBlit.self().getRepository(repositoryName);
 		RepositoryModel model = GitBlit.self().getRepositoryModel(repositoryName);
 		List<RevCommit> commits = JGitUtils.getRevLog(repository, objectId, 0, length);

--
Gitblit v1.9.1